[ARVADOS] updated: 1.3.0-3290-g52fa64f15

Git user git at public.arvados.org
Thu Oct 8 18:24:19 UTC 2020


Summary of changes:
 build/run-library.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

       via  52fa64f15a837ea4929183813ee34e68fea67640 (commit)
      from  18b6c49d69b8264273150cd29b2bf0b57c54e2a8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 52fa64f15a837ea4929183813ee34e68fea67640
Author: Ward Vandewege <ward at curii.com>
Date:   Thu Oct 8 14:23:19 2020 -0400

    16976: use unfiltered version number when checking for deb/rpm of our
           Python packages.
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>

diff --git a/build/run-library.sh b/build/run-library.sh
index 216b5e5b0..a085843d2 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -526,8 +526,10 @@ fpm_build_virtualenv () {
 
   # Determine the package version from the generated sdist archive
   if [[ -n "$ARVADOS_BUILDING_VERSION" ]] ; then
+      UNFILTERED_PYTHON_VERSION=$(echo -n $ARVADOS_BUILDING_VERSION)
       PYTHON_VERSION=$(echo -n $ARVADOS_BUILDING_VERSION | sed s/~rc/rc/g)
   else
+      UNFILTERED_PYTHON_VERSION=$(awk '($1 == "Version:"){print $2}' *.egg-info/PKG-INFO)
       PYTHON_VERSION=$(awk '($1 == "Version:"){print $2}' *.egg-info/PKG-INFO)
   fi
 
@@ -535,7 +537,7 @@ fpm_build_virtualenv () {
   # We can't do this earlier than here, because we need PYTHON_VERSION...
   # This isn't so bad; the sdist call above is pretty quick compared to
   # the invocation of virtualenv and fpm, below.
-  if ! test_package_presence "$PYTHON_PKG" $PYTHON_VERSION $PACKAGE_TYPE $ARVADOS_BUILDING_ITERATION; then
+  if ! test_package_presence "$PYTHON_PKG" $UNFILTERED_PYTHON_VERSION $PACKAGE_TYPE $ARVADOS_BUILDING_ITERATION; then
     return 0
   fi
 

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list